package org.nakedobjects.nof.reflect.perspective;

import java.util.List;

import org.nakedobjects.nof.core.context.Perspective;
import org.nakedobjects.nof.reflect.peer.MemberIdentifier;
import org.nakedobjects.nof.reflect.peer.MemberIdentifierImpl;

class ObjectsPeer extends PerspectiveCollectionPeer {

    protected List getList(Perspective perspective) {
        return perspective.getObjects();
    }
    
    public MemberIdentifier getIdentifier() {
        return new MemberIdentifierImpl("", "objects");
    }

    public String getName() {
        return "Desktop Objects";
    }
}


// Copyright (c) Naked Objects Group Ltd.
