package org.nakedobjects.nof.reflect.security;

import org.nakedobjects.nof.reflect.peer.ReflectionPeerFactory;
import org.nakedobjects.nof.reflect.peer.ReflectionPeerFactoryInstaller;


public class FileSecurityPeerFactoryInstaller implements ReflectionPeerFactoryInstaller {

    public ReflectionPeerFactory[] createFactories() {
        SecurityPeerFactory factory = new SecurityPeerFactory();
        AuthorisationManager authManager = new FileAuthorisationManager();
        factory.setAuthorisationManager(authManager);
        return new ReflectionPeerFactory[] {factory};
    }

    public String getName() {
        return "file-security";
    }
}
