package org.nakedobjects.nof.reflect.spec;

import org.nakedobjects.noa.adapter.NakedObject;
import org.nakedobjects.noa.reflect.NakedObjectAction;
import org.nakedobjects.noa.reflect.OneToOneActionParameter;
import org.nakedobjects.noa.spec.NakedObjectSpecification;
import org.nakedobjects.nof.reflect.peer.ActionParamPeer;

public class DefaultOneToOneActionParameter extends AbstractActionParameter implements
        OneToOneActionParameter {

    /**
     * For Dummy implementations.
     * @param name
     */
    public DefaultOneToOneActionParameter(
            int number, 
            NakedObjectAction nakedObjectAction,
            ActionParamPeer peer, 
            NakedObjectSpecification type, 
            String name, 
            String description, 
            boolean optional) {
        super(number, nakedObjectAction, peer, type, name, description, optional);
    }

    
    public boolean isObject() {
        return true;
    }


    /**
     * TODO: need to be able to validate parameters individually, eg if have
     * <tt>RegEx</tt> annotation; should delegate to the Check framework instead. 
     */
    public String isValid(
            NakedObject nakedObject,
            Object proposedValue) {
        return null;
    }



}
