package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.MemberIdentifier;
import org.nakedobjects.object.RequiresSetup;


public interface HelpManager extends RequiresSetup {

    /**
     * Returns help text for the specified identifier. If no help text is available then an empty String
     * should be returned.
     */
    String help(MemberIdentifier identifier);
}
// Copyright (c) Naked Objects Group Ltd.
