package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.MemberIdentifier;


public class HelpManagerAssist implements HelpManager {
    private HelpManager decorated;
    private boolean showIdentifier = false;

    public void setShowIdentifier(final boolean showIdentifier) {
        this.showIdentifier = showIdentifier;
    }

    public void setDecorated(final HelpManager decorated) {
        this.decorated = decorated;
    }

    public String help(final MemberIdentifier identifier) {
        String help = "";
        if (decorated != null) {
            help = decorated.help(identifier);
        }
        return showIdentifier ? (identifier.toString() + "\n") : "" + help;
    }

    public void init() {}

    public void shutdown() {}

}
// Copyright (c) Naked Objects Group Ltd.
