package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.AbstractValuePeer;
import org.nakedobjects.nof.reflect.peer.ValuePeer;


public class ValueHelp extends AbstractValuePeer {
    private final HelpManager helpManager;

    public ValueHelp(final ValuePeer local, final HelpManager helpManager) {
        super(local);
        this.helpManager = helpManager;
    }

    public String getHelp() {
        return helpManager == null ? "" : helpManager.help(getIdentifier());
    }

}
// Copyright (c) Naked Objects Group Ltd.
