package org.nakedobjects.nof.reflect.peer;

import org.nakedobjects.noa.adapter.NakedObject;
import org.nakedobjects.noa.reflect.Consent;


public interface OneToOnePeer extends FieldPeer {

    void clearAssociation(NakedObject inObject, NakedObject associate);

    /**
     * Returns the defaults references/values to be used for this field.
     */
    public NakedObject getDefault(NakedObject target);

    NakedObject getAssociation(NakedObject inObject);

    void initAssociation(NakedObject inObject, NakedObject associate);

    public Consent isAssociationValid(final NakedObject inObject, final NakedObject value);

    boolean isOptionEnabled();

    void setAssociation(NakedObject inObject, NakedObject associate);
}
// Copyright (c) Naked Objects Group Ltd.
