package org.nakedobjects.nof.reflect.perspective;

import org.nakedobjects.nof.core.context.Perspective;
import org.nakedobjects.nof.reflect.peer.MemberIdentifier;
import org.nakedobjects.nof.reflect.peer.MemberIdentifierImpl;

class UserNamePeer extends PerspectiveValuePeer {
   
    public String getName() {
        return "User Name";
    }
    
    protected String getValue(Perspective perspective) {
        return perspective.getUserName();
    }

    public MemberIdentifier getIdentifier() {
        return new MemberIdentifierImpl("", "userName");
    }
    
    protected void setValue(Perspective perspective, String value) {
        perspective.setUserName(value);
    }
}


// Copyright (c) Naked Objects Group Ltd.
