package org.nakedobjects.nof.reflect.remote;

import org.nakedobjects.noa.NakedObjectRuntimeException;


/**
 * Denotes an exception that occurred on the server.
 */
public class NakedObjectsRemoteException extends NakedObjectRuntimeException {
    private static final long serialVersionUID = 1L;

    public NakedObjectsRemoteException(final String msg) {
        super(msg);
    }

    public NakedObjectsRemoteException(final String msg, final Throwable cause) {
        super(msg, cause);
    }

    public NakedObjectsRemoteException(final Throwable cause) {
        super(cause);
    }
}
// Copyright (c) Naked Objects Group Ltd.
